util.settings

## Class PluginPictureSettings

- java.lang.Object
- - util.settings.PluginPictureSettings

-     public class PluginPictureSettings
      extends java.lang.Object

  Contains the settings of the picture settings of a plugin.
  Since:
    2.6
  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL_PLUGINS_SETTINGS_TYPE` type to be used for showing pictures like the global plugin settings
    `static int` | `NO_PICTURE_TYPE` type to be used for not showing pictures
    `static int` | `ONLY_PICTURE_TYPE` type to be used for only showing pictures
    `static int` | `PICTURE_AND_DISCRIPTION_TYPE` type to be used for showing pictures and discription

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginPictureSettings(int type)` Creates an instance of this settings with the given type.
    `PluginPictureSettings(java.io.ObjectInputStream in)` Creates an instance of this settings from the given stream.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()` Gets the type of this settings.
    `boolean` | `isShowingDescription()` Gets if the picture description is to be shown for this setting.
    `boolean` | `isShowingPictures()` Gets if the pictures should be shown for this setting.
    `void` | `writeData(java.io.ObjectOutputStream out)` Writes the data to the given output stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_PLUGINS_SETTINGS_TYPE

          public static final int ALL_PLUGINS_SETTINGS_TYPE

      type to be used for showing pictures like the global plugin settings
      See Also:
        Constant Field Values

    - #### PICTURE_AND_DISCRIPTION_TYPE

          public static final int PICTURE_AND_DISCRIPTION_TYPE

      type to be used for showing pictures and discription
      See Also:
        Constant Field Values

    - #### ONLY_PICTURE_TYPE

          public static final int ONLY_PICTURE_TYPE

      type to be used for only showing pictures
      See Also:
        Constant Field Values

    - #### NO_PICTURE_TYPE

          public static final int NO_PICTURE_TYPE

      type to be used for not showing pictures
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PluginPictureSettings

          public PluginPictureSettings(int type)

      Creates an instance of this settings with the given type.
      Parameters:
        `type` - The type to be used for this settings.

    - #### PluginPictureSettings

          public PluginPictureSettings(java.io.ObjectInputStream in)
                                throws java.io.IOException,
                                       java.lang.ClassNotFoundException

      Creates an instance of this settings from the given stream.
      Parameters:
        `in` - The stream to read the values from.
      Throws:
        `java.io.IOException` - Thrown if something went wrong.
        `java.lang.ClassNotFoundException` - Thrown if something went wrong.

  - ### Method Detail

    - #### writeData

          public void writeData(java.io.ObjectOutputStream out)
                         throws java.io.IOException

      Writes the data to the given output stream.
      Parameters:
        `out` - The stream to store the data to.
      Throws:
        `java.io.IOException` - Thrown if something went wrong.

    - #### isShowingPictures

          public boolean isShowingPictures()

      Gets if the pictures should be shown for this setting.
      Returns:
        `True` if the picture is to be shown, `false` otherwise.

    - #### isShowingDescription

          public boolean isShowingDescription()

      Gets if the picture description is to be shown for this setting.
      Returns:
        `True` if the picture description is to be shown, `false` otherwise.

    - #### getType

          public int getType()

      Gets the type of this settings.
      Returns:
        The type of this settings.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)